Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface FunctionExpressionTree

All Superinterfaces:
  ExpressionTree, Tree

    public interface FunctionExpressionTree
    extends ExpressionTree

A tree node for a function expression. For example:

       var func = function
          ( parameters )
          body

Since:
  9

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`BlockTree` `getBody()` Returns the body of code of this function.
`String` `getName()` Returns the name of the function being declared.
`List<? extends ExpressionTree>` `getParameters()` Returns the parameters of this function.
`boolean` `isStrict()` Is this a strict function?

### Methods inherited from interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getName

    String getName()

Returns the name of the function being declared.

Returns:
  name the function declared

#### getParameters

    List<? extends ExpressionTree> getParameters()

Returns the parameters of this function.

Returns:
  the list of parameters

#### getBody

    BlockTree getBody()

Returns the body of code of this function.

Returns:
  the body of code

#### isStrict

    boolean isStrict()

Is this a strict function?

Returns:
  true if this function is strict